This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 79560 - Nautilus closes window if the directory it is displaying is removed and reload button is pressed
Nautilus closes window if the directory it is displaying is removed and reloa...
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: nautilus (Show other bugs)
8.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-12-13 06:52 EST by fred-m
Modified: 2015-01-07 19:02 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-13 09:00:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description fred-m 2002-12-13 06:52:07 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020830

Description of problem:
If I am displaying a directory, remove this directory with a different
application (say, on a terminal) and press the reload button, the window is closed.

Two small windows with error messages are displayed. However, if the window
displaying the directory is the only one that Nautilus has open, these two small
windows disappear too fast to read their contents. From the end-user, it seems
that Nautilus has crashed (the fact that the window is closed is, at least, very
inconvenient).

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Create a temporary directory (mkdir ~/test)
2. Run Nautilus and display this directory
3. Remove this directory from a terminal (rmdir ~/test)
4. Press the reload button
    

Actual Results:  Nautilus window is closed, and error messages disappear too
fast to read their contents.

Expected Results:  Nautilus should not close the window, and (for instance)
should keep moving up in the filesystem tree until finding something it can display.

Additional info:
Comment 1 Havoc Pennington 2002-12-13 09:00:11 EST
Bug moved to http://bugzilla.gnome.org/show_bug.cgi?id=101126

Closing on Red Hat level

Note You need to log in before you can comment on or make changes to this bug.